<fieldset>

    <script type="text/javascript">
        $(document).ready(function() {
            toggle_auth_fields = function() {
                var auth_type = $(".auth-choice").val();
                if(auth_type == 'password') {
                    $(".key").hide();
                    $(".key_pw").hide();
                    $(".password").show();
                } else if(auth_type == 'key') {
                    $(".key_pw").hide();
                    $(".password").hide();
                    $(".key").show();
                } else if(auth_type == 'key_pw') {
                    $(".password").hide();
                    $(".key").show();
                    $(".key_pw").show();
                }
            }
            toggle_ftp_fields = function() {
                var ftp_type = $(".ftp-choice").val();
                if(ftp_type == 'ftp') {
                    $(".auth-type").hide();
                    $(".key").hide();
                    $(".key_pw").hide();
                    $(".password").show();
                    $(".passive").show();
                } else if(ftp_type == 'sftp') {
                    $(".auth-type").show();
                    $(".passive").hide();
                    toggle_auth_fields();
                }
            }
            $(".ftp-choice").bind('change', toggle_ftp_fields);
            $(".auth-choice").bind('change', toggle_auth_fields);
            toggle_auth_fields();
            toggle_ftp_fields();
        });
    </script>

    <div class="control-group">
        <label class="control-label required">Hostname</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'hostname',
                'class' => 'span4',
                'value' => set_value('hostname', @$defaults['hostname']))); ?>
            <?php echo form_error('hostname') ?>
            <span class="help-inline">
                <?php echo question_tooltip('IP address or hostname of target FTP server.'); ?>
            </span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">FTP Type</label>
        <div class="controls">
            <select name="ftp_type" class="span4 ftp-choice">
                <option value="ftp" <?php echo reactor_option_selected('ftp_type', 'ftp', $defaults) ?>>FTP</option>
                <option value="sftp" <?php echo reactor_option_selected('ftp_type', 'sftp', $defaults) ?>>SFTP</option>
            </select>
            <?php echo form_error('ftp_type') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Use Secure FTP for highest level of security.'); ?>
            </span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Remote User</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'username',
                'class' => 'span4',
                'value' => set_value('username', @$defaults['username']))); ?>
            <?php echo form_error('username') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Password of remote FTP username.'); ?>
            </span>
        </div>
    </div>

    <div class="control-group hide auth-type">
        <label class="control-label required">Authentication Type</label>
        <div class="controls">
            <select name="auth_type" class="span4 auth-choice">
                <option value="password" <?php echo reactor_option_selected('auth_type', 'password', $defaults) ?>>Password</option>
                <option value="key" <?php echo reactor_option_selected('auth_type', 'key', $defaults) ?>>RSA Private Key</option>
                <option value="key_pw" <?php echo reactor_option_selected('auth_type', 'key_pw', $defaults) ?>>Password-protected RSA Private Key</option>
            </select>
            <?php echo form_error('auth_type') ?>
        </div>
    </div>

    <div class="control-group hide password">
        <label class="control-label required">Password</label>
        <div class="controls">
            <?php echo form_password(array(
                'name' => 'password',
                'class' => 'span4',
                'value' => set_value('password', @$defaults['password']))); ?>
            <?php echo form_error('password') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Password of remote FTP server username.'); ?>
            </span>
        </div>
    </div>

    <div class="control-group hide key">
        <label class="control-label required">Private Key</label>
        <div class="controls">
            <?php echo form_textarea(array(
                'name' => 'ssh_key',
                'class' => 'span4',
                'rows' => '4',
                'value' => set_value('ssh_key', @$defaults['ssh_key']))); ?>
            <?php echo form_error('ssh_key') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Use SSH key.'); ?>
            </span>
        </div>
    </div>

    <div class="control-group hide key_pw">
        <label class="control-label required">Key Password</label>
        <div class="controls">
            <?php echo form_password(array(
                'name' => 'ssh_key_pw',
                'class' => 'span4',
                'value' => set_value('ssh_key_pw', @$defaults['ssh_key_pw']))); ?>
            <?php echo form_error('ssh_key_pw') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Use SSH key password.'); ?>
            </span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Local File</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'local_file',
                'class' => 'span4',
                'value' => set_value('local_file', @$defaults['local_file']))); ?>
            <?php echo form_error('local_file') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Valid, absolute UNIX filename and path.  Filename can\'t include /etc/passwd, /etc/hosts, /etc/resolv.conf, /etc/network/interfaces, /etc/sysconfig/network.'); ?>
            </span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Remote File</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'remote_file',
                'class' => 'span4',
                'value' => set_value('remote_file', @$defaults['remote_file']))); ?>
            <?php echo form_error('remote_file') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Filename to store file as on remote server. This should be a valid, absolute UNIX filename and path.'); ?>
            </span>
        </div>
    </div>

    <div class="control-group passive">
        <label class="control-label required">Connection</label>
        <div class="controls">
            <label class="radio" style="display: inline-block; margin-right: 10px;">
                <input type="radio" name="passive" value="0" <?php if (@$defaults['passive'] == 0) { echo "checked"; } ?>> Active
            </label>
            <label class="radio" style="display: inline-block; margin-right: 10px;">
                <input type="radio" name="passive" value="1" <?php if (@$defaults['passive'] == 1) { echo "checked"; } ?>> Passive
                <span class="help-inline">
                <?php echo question_tooltip('Active mode or passive mode FTP connection. Some FTP servers require one or the other.'); ?>
                </span>
            </label>
            <?php echo form_error('passive') ?>
        </div>
    </div>

</fieldset>
